Bug 820353 - digikam; KDE4 device notifier not working (libdc1394 error: Failed to initialize libdc1394)
digikam; KDE4 device notifier not working (libdc1394 error: Failed to initial...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libdc1394 (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 14:13 EDT by markusN
Modified: 2012-05-15 15:58 EDT (History)
6 users (show)

See Also:
Fixed In Version: libdc1394-2.1.4-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-15 15:58:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description markusN 2012-05-09 14:13:40 EDT
Connecting the digital camera NIKON DSC COOLPIX S3100-PTP (which then beeps)
KDE4 does not start the device notifier to then launch digikam.
However, in the digikam menu, Import -> Cameras -> Nikon ... it is there
and reading is possible.

It appears that there is some device issue:

[eva@casa ~]$ digikam 
libdc1394 error: Failed to initialize libdc1394


[eva@casa ~]$ rpm -qa | grep digikam
digikam-libs-2.5.0-3.fc16.x86_64
digikam-2.5.0-3.fc16.x86_64

[eva@casa ~]$ uname -a
Linux casa 3.2.6-3.fc16.x86_64 #1 SMP Mon Feb 13 20:35:42 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

[eva@casa ~]$ strace digikam 
execve("/usr/bin/digikam", ["digikam"], [/* 59 vars */]) = 0
brk(0)                                  = 0xe78000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fe1c5136000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=165637, ...}) = 0
mmap(NULL, 165637, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7fe1c510d000
close(3)                                = 0
open("/usr/lib64/libQtSql.so.4", O_RDONLY|O_CLOEXEC) = 3
...
uname({sys="Linux", node="casa", ...})  = 0
stat("/sys/bus/usb/devices", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
openat(AT_FDCWD, "/sys/bus/usb/devices", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 3
getdents(3, /* 21 entries */, 32768)    = 584
stat("/sys/bus/usb/devices/usb1/busnum", {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
stat("/sys/bus/usb/devices/usb1/devnum", {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
stat("/sys/bus/usb/devices/usb1/descriptors", {st_mode=S_IFREG|0444, st_size=65553, ...}) = 0
stat("/sys/bus/usb/devices/usb1/bConfigurationValue", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
close(3)                                = 0
pipe([3, 4])                            = 0
timerfd_create(CLOCK_MONOTONIC, 0x800 /* TFD_??? */) = 5
stat("/dev/raw1394", 0x7fffdb66a6e0)    = -1 ENOENT (No such file or directory)
openat(AT_FDCWD, "/dev", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 6
getdents(6, /* 177 entries */, 32768)   = 5168
getdents(6, /* 0 entries */, 32768)     = 0
close(6)                                = 0
write(2, "libdc1394 error: Failed to initi"..., 48libdc1394 error: Failed to initialize libdc1394
) = 48
umask(0)                                = 022
umask(022)                              = 0
brk(0xf02000)                           = 0xf02000
...

ls -la /dev/raw1394
ls: cannot access /dev/raw1394: No such file or directory

I wonder how to get the KDE4 device notifier working for digikam. Common
USB sticks are detected properly.
Comment 1 Rex Dieter 2012-05-10 09:53:26 EDT
This may be a libdc1394 bug, you mind testing,
https://admin.fedoraproject.org/updates/FEDORA-2012-0142/libdc1394-2.1.4-2.fc16

yum --enablerepo=updates-testing update libdc1394

and see if that helps?
Comment 2 markusN 2012-05-15 15:44:05 EDT
Great, the update to libdc1394, x86_64, 2.1.4-2.fc16 from updates-testing
as suggested by Dieter helped! Now the camera pops up as expected in
the USB device notifier.

A backport to F16 would be nice, I guess I am not the only person
having this problem with the F16 libdc1394.

Thanks.
Comment 3 Rex Dieter 2012-05-15 15:58:21 EDT
Just asked another tester to give it a look, if all checks out, he'll give it another +1 karma, and it'll get pushed stable asap.

Note You need to log in before you can comment on or make changes to this bug.